<?php
require_once "./pdocontroller.php";
if (isset($_REQUEST['proyecto'])){$proyecto=$_REQUEST['proyecto'];}else{$proyecto="";}
if (isset($_REQUEST['rol'])){$rol=$_REQUEST['rol'];}else{$rol="";}
if (isset($_REQUEST['codemp'])){$codemp=$_REQUEST['codemp'];}else{$codemp="";}
if (isset($_REQUEST['nommodulo'])){$nommodulo=$_REQUEST['nommodulo'];}else{$nommodulo="";}
if (isset($_REQUEST['accion'])){$accion=$_REQUEST['accion'];}else{$accion="";}
$modulo=$nommodulo;
if($codemp!='' && $modulo!='modulo' && $rol!='empleado' && $codemp!='dnd'){
    $DBclase="PDO".$codemp;
}else{
    $DBclase="PDOCONTROLLER";
}
$DBconex=new $DBclase;
$syseli="Eliminado";
$sqltmp="";
$query="select listasql,tabla,tabqts,tabdet,sqlinit,sqledit,sqllost,tabadi,datadi,proyecto,sqlres,sqlqst,chkint,sqltmp,sqlele,chkele,sqlsearch from modcmp where nommod= :modulo ";

$parametros=array(":modulo"=>$modulo);
try{
    $datos=$DBconex->executeconsulta($query,$parametros);
    foreach($datos as $qdatos){
        $tabla=$qdatos["tabdet"];
        $sqltmp=$qdatos["sqltmp"];
    }
 }catch(Exception $ex){
     echo $ex->getMessage();
 }
$sw=0;
$values="";
$remision="";
$query="insert into ".$tabla."(";
// ESTO ES PARA CUANDO RECIBO FORMULARIO
foreach ($_POST as $campo => $valor) {
    if($campo=="nrorem" ){
        $remision=$valor;
    }
    if($campo=="nommodulo" ){
    }else{
        if($sw!=0){
            $query=$query.",";
            $values=$values.",";
            if(substr($campo,0,3)=='chk'){
                $parametros[":".$campo] = 1;
            }else{
                $parametros[":".$campo] = $valor;
            }
            
        }else{
            if(substr($campo,0,3)=='chk'){
                $parametros=array(":".$campo=>1);
            }else{
                $parametros=array(":".$campo=>$valor);
            }
        }
        if(substr($campo,1,3)==3){
        }else{
        }
        $query=$query.$campo;
        $values=$values.":".$campo;
        $sw=1;
    }
    
}
$query=$query.") value(".$values.")";
try{
    $datos=$DBconex->execute_insert($query,$parametros);
    if($datos>0){
        $query = $sqltmp." and nrorem = :remision ";
        $parametros=array(":remision"=>$remision);

        $datos=$DBconex->executeconsulta($query,$parametros);
        header("Content-Type: application/json");
        echo json_encode($datos);

    }
 }catch(Exception $ex){
     echo $ex->getMessage();
 }


?>